MWAWGraphicStyle Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
MWAWGraphicStyle Class Reference

a structure used to define a picture style More...

`#include <MWAWGraphicStyle.hxx>`

Inheritance diagram for MWAWGraphicStyle:

## Classes
struct | GradientStop
| a structure used to define the gradient limit More...
struct | Pattern
| a basic pattern used in a MWAWGraphicStyle: More...

## Public Types
enum | LineCap { C_Butt, C_Square, C_Round }
| an enum used to define the basic line cap More...
enum | LineJoin { J_Miter, J_Round, J_Bevel }
| an enum used to define the basic line join More...
enum | GradientType { G_None, G_Axial, G_Linear, G_Radial, G_Rectangular, G_Square, G_Ellipsoid }
| an enum used to define the gradient type More...

## Public Member Functions
| MWAWGraphicStyle ()
| constructor More...
virtual | ~MWAWGraphicStyle ()
| virtual destructor More...
bool | hasLine () const
| returns true if the border is defined More...
void | setSurfaceColor (MWAWColor const &col, float opacity=1)
| set the surface color More...
bool | hasSurfaceColor () const
| returns true if the surface is defined More...
void | setPattern (Pattern const &pat)
| set the pattern More...
bool | hasPattern () const
| returns true if the pattern is defined More...
bool | hasGradient (bool complex=false) const
| returns true if the gradient is defined More...
bool | hasSurface () const
| returns true if the interior surface is defined More...
void | setBackgroundColor (MWAWColor const &col, float opacity=1)
| set the background color More...
bool | hasBackgroundColor () const
| returns true if the background is defined More...
void | setShadowColor (MWAWColor const &col, float opacity=1)
| set the shadow color More...
bool | hasShadow () const
| returns true if the shadow is defined More...
bool | hasBorders () const
| return true if the frame has some border More...
bool | hasSameBorders () const
| return true if the frame has some border More...
std::vector< MWAWBorder > const & | borders () const
| return the frame border: libmwaw::Left | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::LeftBit|... More...
void | addTo (librevenge::RVNGPropertyList &pList, bool only1d=false) const
| add all the parameters to the propList excepted the frame parameter: the background and the borders More...
void | addFrameTo (librevenge::RVNGPropertyList &pList) const
| add all the frame parameters to propList: the background and the borders More...
int | cmp (MWAWGraphicStyle const &a) const
| compare two styles More...

## Static Public Member Functions
static MWAWGraphicStyle | emptyStyle ()
| returns an empty style. More...

## Public Attributes
float | m_lineWidth
| the linewidth More...
std::vector< float > | m_lineDashWidth
| the dash array: a sequence of (fullsize, emptysize) More...
LineCap | m_lineCap
| the line cap More...
LineJoin | m_lineJoin
| the line join More...
float | m_lineOpacity
| the line opacity: 0=transparent More...
MWAWColor | m_lineColor
| the line color More...
bool | m_fillRuleEvenOdd
| true if the fill rule is evenod More...
MWAWColor | m_surfaceColor
| the surface color More...
float | m_surfaceOpacity
| true if the surface has some color More...
MWAWColor | m_shadowColor
| the shadow color More...
float | m_shadowOpacity
| true if the shadow has some color More...
Vec2f | m_shadowOffset
| the shadow offset More...
Pattern | m_pattern
| the pattern if it exists More...
GradientType | m_gradientType
| the gradient type More...
std::vector< GradientStop > | m_gradientStopList
| the list of gradient limits More...
float | m_gradientAngle
| the gradient angle More...
float | m_gradientBorder
| the gradient border opacity More...
Vec2f | m_gradientPercentCenter
| the gradient center More...
float | m_gradientRadius
| the gradient radius More...
bool | m_arrows [2]
| two bool to indicated if extremity has arrow or not More...
MWAWColor | m_backgroundColor
| the background color More...
float | m_backgroundOpacity
| true if the background has some color More...
std::vector< MWAWBorder > | m_bordersList
| the borders MWAWBorder::Pos (for a frame) More...
std::string | m_frameName
| the frame name More...
std::string | m_frameNextName
| the frame next name (if there is a link) More...
float | m_rotate
| the rotation More...
bool | m_flip [2]
| two bool to indicated we need to flip the shape or not More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWGraphicStyle const &st)
| a print operator More...

## Detailed Description

a structure used to define a picture style

Note
  in order to define the internal surface style, first it looks for a gradient, if so it uses it. Then it looks for a pattern. Finally if it found nothing, it uses surfaceColor and surfaceOpacity.

## Member Enumeration Documentation

enum MWAWGraphicStyle::GradientType

an enum used to define the gradient type

Enumerator
G_None |
G_Axial |
G_Linear |
G_Radial |
G_Rectangular |
G_Square |
G_Ellipsoid |

enum MWAWGraphicStyle::LineCap

an enum used to define the basic line cap

Enumerator
C_Butt |
C_Square |
C_Round |

enum MWAWGraphicStyle::LineJoin

an enum used to define the basic line join

Enumerator
J_Miter |
J_Round |
J_Bevel |

## Constructor & Destructor Documentation

MWAWGraphicStyle::MWAWGraphicStyle | ( |  | ) |
| inline

constructor

virtual MWAWGraphicStyle::~MWAWGraphicStyle | ( |  | ) |
| inlinevirtual

virtual destructor

## Member Function Documentation

void MWAWGraphicStyle::addFrameTo | ( | librevenge::RVNGPropertyList & | pList | ) | const

add all the frame parameters to propList: the background and the borders

Referenced by MWAWTextListener::openFrame(), and MWAWSpreadsheetListener::openFrame().

void MWAWGraphicStyle::addTo | ( | librevenge::RVNGPropertyList & | pList,
|  | bool | only1d = `false`
| ) |  | const

add all the parameters to the propList excepted the frame parameter: the background and the borders

Referenced by MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWTextListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertPicture(), and MWAWSpreadsheetListener::insertPicture().

std::vector<MWAWBorder> const& MWAWGraphicStyle::borders | ( |  | ) | const
| inline

return the frame border: libmwaw::Left | ...

int MWAWGraphicStyle::cmp | ( | MWAWGraphicStyle const & | a | ) | const

compare two styles

static MWAWGraphicStyle MWAWGraphicStyle::emptyStyle | ( |  | ) |
| inlinestatic

returns an empty style.

Can be used to initialize a default frame style...

Referenced by MWAWPresentationListener::insertFooter(), MWAWGraphicListener::insertFooter(), MWAWPresentationListener::insertHeader(), MWAWGraphicListener::insertHeader(), MWAWPresentationListener::insertSlideNote(), MWAWPresentationListener::openGroup(), MWAWGraphicListener::openGroup(), MWAWPresentationListener::openTable(), MWAWGraphicListener::openTable(), BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksDRParser::sendFrame(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), and SuperPaintParser::sendPictures().

bool MWAWGraphicStyle::hasBackgroundColor | ( |  | ) | const
| inline

returns true if the background is defined

bool MWAWGraphicStyle::hasBorders | ( |  | ) | const
| inline

return true if the frame has some border

Referenced by addFrameTo(), and operator<<().

bool MWAWGraphicStyle::hasGradient | ( | bool | complex = `false` | ) | const
| inline

returns true if the gradient is defined

Referenced by MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), addTo(), hasSurface(), operator<<(), ClarisWksGraph::sendGroupChild(), and GreatWksGraph::sendTextbox().

bool MWAWGraphicStyle::hasLine | ( |  | ) | const
| inline

returns true if the border is defined

Referenced by HanMacWrdJGraphInternal::FrameFormat::addTo(), addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MWAWGraphicShape::getBdBox(), RagTimeParser::send(), ClarisWksGraph::sendGroupChild(), RagTimeParser::sendPicture(), and ClarisWksTableInternal::TableCell::update().

bool MWAWGraphicStyle::hasPattern | ( |  | ) | const
| inline

returns true if the pattern is defined

Referenced by addTo(), hasSurface(), operator<<(), HanMacWrdKGraph::sendFrame(), HanMacWrdJGraph::sendFrame(), ClarisWksGraph::sendGroupChild(), and GreatWksGraph::sendTextbox().

bool MWAWGraphicStyle::hasSameBorders | ( |  | ) | const
| inline

return true if the frame has some border

Referenced by addFrameTo().

bool MWAWGraphicStyle::hasShadow | ( |  | ) | const
| inline

returns true if the shadow is defined

Referenced by addFrameTo(), addTo(), and operator<<().

bool MWAWGraphicStyle::hasSurface | ( |  | ) | const
| inline

returns true if the interior surface is defined

Referenced by addTo(), MWAWTextListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertPicture(), MWAWSpreadsheetListener::insertPicture(), and MacDrawParser::readObject().

bool MWAWGraphicStyle::hasSurfaceColor | ( |  | ) | const
| inline

returns true if the surface is defined

Referenced by HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), ClarisWksGraph::getSurfaceColor(), hasSurface(), operator<<(), ClarisWksDbaseContent::readRecordSS(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), ClarisWksGraph::sendGroupChild(), and GreatWksGraph::sendTextbox().

void MWAWGraphicStyle::resetBorders | ( |  | ) |
| inline

reset the border

void MWAWGraphicStyle::setBackgroundColor | ( | MWAWColor const & | col,
|  | float | opacity = `1`
| ) |  |
| inline

set the background color

Referenced by FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MacWrtProStructuresInternal::Block::fillFrame(), MsWksGraphInternal::TextBox::fillFrame(), MsWksGraphInternal::TextBoxv4::fillFrame(), RagTimeParser::readDataZoneHeader(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), ClarisWksGraph::sendGroupChild(), and GreatWksGraph::sendTextbox().

void MWAWGraphicStyle::setBorders | ( | int | wh,
|  | MWAWBorder const & | border
| ) |  |

sets the cell border: wh=libmwaw::LeftBit|...

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MacWrtProStructuresInternal::Block::fillFrame(), RagTimeParser::send(), MacDrawProParser::send(), HanMacWrdJGraph::sendComment(), BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksDRParser::sendFrame(), ClarisWksGraph::sendGroupChild(), and RagTimeParser::sendPicture().

void MWAWGraphicStyle::setPattern | ( | Pattern const & | pat | ) |
| inline

set the pattern

Referenced by SuperPaintParser::readShape(), GreatWksGraph::readStyle(), and MarinerWrtGraph::sendRule().

void MWAWGraphicStyle::setShadowColor | ( | MWAWColor const & | col,
|  | float | opacity = `1`
| ) |  |
| inline

set the shadow color

Referenced by FullWrtStruct::Border::addTo(), RagTimeParser::readDataZoneHeader(), and MacDrawProParser::send().

void MWAWGraphicStyle::setSurfaceColor | ( | MWAWColor const & | col,
|  | float | opacity = `1`
| ) |  |
| inline

set the surface color

Referenced by BeagleWksSSParser::readChart(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), ClarisWksGraph::readGroupDef(), MacDrawParser::readObject(), MacDrawProParser::readObject(), MsWksGraph::readPictHeader(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), MacDrawProParser::send(), BeagleWksDRParser::sendPictures(), MWAWChart::Series::Series(), ClarisWksStyleManager::updateGradient(), and ClarisWksStyleManager::updateWallPaper().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWGraphicStyle const & | st
| ) |  |
| friend

a print operator

## Member Data Documentation

bool MWAWGraphicStyle::m_arrows[2]

two bool to indicated if extremity has arrow or not

Referenced by addTo(), cmp(), MWAWGraphicShape::getBdBox(), HanMacWrdKGraphInternal::ShapeGraph::getStyle(), MsWksGraphInternal::BasicShape::getStyle(), MWAWGraphicStyle(), MsWksGraphInternal::BasicShape::needExtraBorderWidth(), operator<<(), ClarisWksGraph::readGroupDef(), MacDrawParser::readObject(), MsWksGraph::readPictHeader(), BeagleWksDRParser::readShapeDefinitions(), GreatWksGraph::readStyle(), HanMacWrdJGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), ClarisWksGraph::sendShape(), HanMacWrdJGraph::sendShapeGraph(), and GreatWksGraphInternal::FrameShape::updateStyle().

MWAWColor MWAWGraphicStyle::m_backgroundColor

the background color

Referenced by addFrameTo(), cmp(), operator<<(), and setBackgroundColor().

float MWAWGraphicStyle::m_backgroundOpacity

true if the background has some color

Referenced by addFrameTo(), cmp(), hasBackgroundColor(), operator<<(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), and setBackgroundColor().

std::vector<MWAWBorder> MWAWGraphicStyle::m_bordersList

the borders MWAWBorder::Pos (for a frame)

Referenced by addFrameTo(), borders(), cmp(), hasBorders(), hasSameBorders(), operator<<(), resetBorders(), and setBorders().

std::string MWAWGraphicStyle::m_extra

extra data

Referenced by operator<<(), HanMacWrdJGraph::readFrames(), MsWksGraph::readGradient(), ClarisWksStyleManager::readGraphStyles(), and GreatWksGraph::readStyle().

bool MWAWGraphicStyle::m_fillRuleEvenOdd

true if the fill rule is evenod

Referenced by addTo(), cmp(), operator<<(), and MsWksGraph::Style::Style().

bool MWAWGraphicStyle::m_flip[2]

two bool to indicated we need to flip the shape or not

Referenced by cmp(), GreatWksGraphInternal::FrameText::getStyle(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertTextBox(), MWAWGraphicListener::insertTextBox(), MWAWGraphicStyle(), operator<<(), MacDrawParser::readObject(), MacDrawProParser::readObject(), BeagleWksDRParser::readShapeDefinitions(), and MacDrawProParser::updateGeometryShape().

std::string MWAWGraphicStyle::m_frameName

the frame name

Referenced by ClarisWksGraphInternal::ZoneZone::addFrameName(), addFrameTo(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), operator<<(), MsWksGraph::send(), and HanMacWrdJGraph::sendTextbox().

std::string MWAWGraphicStyle::m_frameNextName

the frame next name (if there is a link)

Referenced by ClarisWksGraphInternal::ZoneZone::addFrameName(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), MWAWTextListener::insertTextBox(), MWAWSpreadsheetListener::insertTextBox(), operator<<(), MsWksGraph::send(), and HanMacWrdJGraph::sendTextbox().

float MWAWGraphicStyle::m_gradientAngle

the gradient angle

Referenced by addTo(), cmp(), operator<<(), MsWksGraph::readGradient(), GreatWksGraph::readStyle(), ClarisWksStyleManagerInternal::Gradient::update(), and MacDrawProStyleManager::updateGradient().

float MWAWGraphicStyle::m_gradientBorder

the gradient border opacity

Referenced by addTo(), cmp(), and operator<<().

Vec2f MWAWGraphicStyle::m_gradientPercentCenter

the gradient center

Referenced by addTo(), cmp(), operator<<(), MsWksGraph::readGradient(), GreatWksGraph::readStyle(), ClarisWksStyleManagerInternal::Gradient::update(), and MacDrawProStyleManager::updateGradient().

float MWAWGraphicStyle::m_gradientRadius

the gradient radius

Referenced by addTo(), cmp(), and operator<<().

std::vector<GradientStop> MWAWGraphicStyle::m_gradientStopList

the list of gradient limits

Referenced by addTo(), cmp(), hasGradient(), MWAWGraphicStyle(), operator<<(), MsWksGraph::readGradient(), GreatWksGraph::readStyle(), ClarisWksStyleManagerInternal::Gradient::update(), ClarisWksStyleManager::updateGradient(), and MacDrawProStyleManager::updateGradient().

GradientType MWAWGraphicStyle::m_gradientType

the gradient type

Referenced by addTo(), cmp(), hasGradient(), operator<<(), MsWksGraph::readGradient(), GreatWksGraph::readStyle(), ClarisWksStyleManagerInternal::Gradient::update(), and MacDrawProStyleManager::updateGradient().

LineCap MWAWGraphicStyle::m_lineCap

the line cap

Referenced by addTo(), cmp(), and operator<<().

MWAWColor MWAWGraphicStyle::m_lineColor

the line color

Referenced by HanMacWrdJGraphInternal::FrameFormat::addTo(), addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), operator<<(), BeagleWksSSParser::readChart(), RagTimeParser::readDataZoneHeader(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), ClarisWksGraph::readGroupDef(), MacDrawParser::readObject(), MacDrawProParser::readObject(), MsWksGraph::readPictHeader(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), GreatWksGraph::readStyle(), ClarisWksTable::readTableCells(), RagTimeParser::send(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), ClarisWksGraph::sendGroupChild(), RagTimeParser::sendPicture(), MarinerWrtGraph::sendRule(), and ClarisWksTableInternal::TableCell::update().

std::vector<float> MWAWGraphicStyle::m_lineDashWidth

the dash array: a sequence of (fullsize, emptysize)

Referenced by addTo(), cmp(), operator<<(), MacDrawProParser::readObject(), GreatWksGraph::readStyle(), and GreatWksGraphInternal::FrameShape::updateStyle().

LineJoin MWAWGraphicStyle::m_lineJoin

the line join

Referenced by addTo(), cmp(), and operator<<().

float MWAWGraphicStyle::m_lineOpacity

the line opacity: 0=transparent

Referenced by addTo(), cmp(), hasLine(), operator<<(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), ClarisWksGraph::readGroupDef(), and GreatWksGraph::readStyle().

float MWAWGraphicStyle::m_lineWidth

the linewidth

Referenced by HanMacWrdJGraphInternal::FrameFormat::addTo(), addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MWAWChart::Axis::Axis(), cmp(), emptyStyle(), HanMacWrdJGraphInternal::FrameFormat::FrameFormat(), MWAWGraphicShape::getBdBox(), GreatWksGraphInternal::FrameText::getStyle(), hasLine(), MsWksGraphInternal::BasicShape::needExtraBorderWidth(), operator<<(), BeagleWksSSParser::readChart(), RagTimeParser::readDataZoneHeader(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), ClarisWksGraph::readGroupDef(), MacDrawParser::readObject(), MacDrawProParser::readObject(), MsWksGraph::readPictHeader(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), GreatWksGraph::readStyle(), ClarisWksTable::readTableCells(), MsWksGraph::send(), RagTimeParser::send(), MacDrawProParser::send(), MacDrawProParser::sendBitmap(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), MsWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), MsWksGraph::sendGroupChild(), RagTimeParser::sendPicture(), BeagleWksDRParser::sendPictures(), MarinerWrtGraph::sendRule(), MWAWChart::Series::Series(), MWAWChart::TextZone::TextZone(), and ClarisWksTableInternal::TableCell::update().

Pattern MWAWGraphicStyle::m_pattern

the pattern if it exists

Referenced by addTo(), cmp(), hasPattern(), operator<<(), RagTimeParser::readDataZoneHeader(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), ClarisWksGraph::readGroupDef(), MacDrawParser::readObject(), MacDrawProParser::readObject(), MsWksGraph::readPictHeader(), BeagleWksDRParser::readStyle(), setPattern(), and ClarisWksStyleManager::updateWallPaper().

float MWAWGraphicStyle::m_rotate

the rotation

Referenced by MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), cmp(), MacDrawProParserInternal::Shape::getBdBox(), GreatWksGraphInternal::FrameText::getStyle(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertTextBox(), MWAWGraphicListener::insertTextBox(), operator<<(), RagTimeParser::readDataZoneHeader(), MacDrawParser::readObject(), MacDrawProParser::readRotationInObjectData(), BeagleWksDRParser::readStyle(), and BeagleWksDRParser::sendPictures().

MWAWColor MWAWGraphicStyle::m_shadowColor

the shadow color

Referenced by addFrameTo(), addTo(), cmp(), operator<<(), and setShadowColor().

Vec2f MWAWGraphicStyle::m_shadowOffset

the shadow offset

Referenced by addFrameTo(), FullWrtStruct::Border::addTo(), addTo(), cmp(), operator<<(), RagTimeParser::readDataZoneHeader(), and MacDrawProParser::send().

float MWAWGraphicStyle::m_shadowOpacity

true if the shadow has some color

Referenced by addFrameTo(), addTo(), cmp(), hasShadow(), operator<<(), and setShadowColor().

MWAWColor MWAWGraphicStyle::m_surfaceColor

the surface color

Referenced by HanMacWrdJGraphInternal::FrameFormat::addTo(), addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), ClarisWksGraph::getSurfaceColor(), operator<<(), ClarisWksGraph::readGroupDef(), MsWksGraph::readPictHeader(), ClarisWksDbaseContent::readRecordSS(), GreatWksGraph::readStyle(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), MsWksTable::sendTable(), GreatWksGraph::sendTextbox(), setSurfaceColor(), and MsWksTableInternal::Table::Table().

float MWAWGraphicStyle::m_surfaceOpacity

true if the surface has some color

Referenced by addTo(), cmp(), hasSurfaceColor(), operator<<(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), ClarisWksGraph::readGroupDef(), GreatWksGraph::readStyle(), and setSurfaceColor().

The documentation for this class was generated from the following files:

- MWAWGraphicStyle.hxx
- MWAWGraphicStyle.cxx